package com.mcwl.communityCenter.domain.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

/**
 * 社区请求参数
 */
@Data
@ApiModel(value = "社区请求参数")
public class CommunityUploadFileRes {

    /**
     * 租户id
     */
    @ApiModelProperty(value = "租户id", required = true)
    @NotNull(message = "租户id不能为空")
    private Long tenantId;

    /**
     * 社区id
     */
    @ApiModelProperty(value = "社区id", required = true)
    @NotNull(message = "社区id不能为空")
    private Long communityId;

    /**
     * 文件
     */
    @ApiModelProperty(value = "文件", required = true)
    @NotNull(message = "文件不能为空")
    private MultipartFile file;



}
