package com.mcwl.communityCenter.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mcwl.communityCenter.domain.Community;
import com.mcwl.communityCenter.domain.CommunityUser;
import com.mcwl.communityCenter.domain.dto.CommunityUserListPageRes;
import com.mcwl.communityCenter.domain.vo.CommunityUserVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Map;

@Mapper
public interface CommunityUserMapper extends BaseMapper<CommunityUser> {

    @InterceptorIgnore(tenantLine = "true")
    CommunityUser selectByTenantIdAndCommunityIdAndUserId(@Param("tenantId") Long tenantId,
                                                          @Param("communityId") Long communityId,
                                                          @Param("userId") Long userId);

    @InterceptorIgnore(tenantLine = "true")
    Integer getJoinNum(Long tenantId, Long communityId);

    @InterceptorIgnore(tenantLine = "true")
    int isJoinCommunity(@Param("tenantId")
                        Long tenantId,
                        @Param("communityId")
                        Long communityId,
                        @Param("userId")
                        Long userId);

    @InterceptorIgnore(tenantLine = "true")
    List<CommunityUserVo> getCommunityUserList(Page<CommunityUser> page,
                                               @Param("communityUserListPageRes")
                                               CommunityUserListPageRes communityUserListPageRes);
}
